<?php

namespace Captbrogers\ImageConverter;

use Spatie\LaravelPackageTools\Package;
use Spatie\LaravelPackageTools\PackageServiceProvider;
use Captbrogers\ImageConverter\Commands\ImageConverterCommand;

class ImageConverterServiceProvider extends PackageServiceProvider
{
    public function configurePackage(Package $package): void
    {
        /*
         * This class is a Package Service Provider
         *
         * More info: https://github.com/spatie/laravel-package-tools
         */
        $package
            ->name('image-converter')
            ->hasConfigFile()
            ->hasCommand(ImageConverterCommand::class);
    }
}
